function results = run_FSC2F(seq, res_path, bSaveImage)
%  FSC2F: Fast Saliency-guided Continuous Correlaion Filter Tracker
%  The tracker is developed based on the source codes of ECO [1] as the baseline algorithm. 
%  Codes rewritten by: Alireza Memarmoghadam, May 2019
%  {email: a.memarmoghadam@eng.ui.ac.ir, a.memarmoghadam@yahoo.com} 
%
% [1] M. Danelljan, G. Bhat, F. S. Khan, and M. Felsberg, ECO: Efficient convolution operators for tracking, in Proc. IEEE Conf. Comput. Vis. Pattern Recognit., Jul. 2017, pp. 66386645.

% Initialize the tracker parameters
benchmark_features_type = 'VOT_HC'; %: 'OTB_HC', 'OTB_Deep', 'VOT_HC', 'VOT_Deep' 
switch benchmark_features_type, 
    case 'OTB_HC'
        params = default_parameters_ECO_OTB_HC();
    case 'OTB_Deep'
        params = default_parameters_ECO_OTB_Deep();
    case 'VOT_HC'
        params = default_parameters_ECO_VOT_HC();
    case 'VOT_Deep'
        params = default_parameters_ECO_VOT_Deep();
end

% Initialize
params.seq = seq;

% Run tracker
results = tracker(params);

end
